diff -urN soojung-0.4.3/admin.php soojung/admin.php
--- soojung-0.4.3/admin.php	2005-01-14 22:20:21.000000000 +0900
+++ soojung/admin.php	2005-02-04 23:53:37.000000000 +0900
@@ -4,21 +4,7 @@
 include("config.php");
 include_once("settings.php");
 
-if ($_POST["mode"] == "login") {
-  if (md5($_POST["password"]) == $admin_password) {
-    $_SESSION['auth'] = TRUE;
-    header("Location: admin.php");
-  }
-}
-
-$template = new AdminTemplate;
-
-if (!isset($_SESSION["auth"])) {
-  $template->display('login.tpl');
-  exit();
-}
-
-if ($_POST["mode"] == "config_update") {
+function config_update_mode() {
   if (empty($_POST["blogname"]) || empty($_POST["desc"]) ||
       empty($_POST["url"]) || empty($_POST["adminname"]) ||
       empty($_POST["email"]) || empty($_POST["perpage"]) ||
@@ -38,26 +24,32 @@
   exit;
 }
 
-if ($_GET["mode"] == "delete" && isset($_GET["file"])) {
-  if (strstr($_GET["file"], "..") != FALSE || strstr($_GET["file"], "contents/") == FALSE) {
-    echo "what the fuck?";
-  } else {
-    unlink($_GET["file"]);
+function delete_mode() {
+  if ($_GET["mode"] == "delete" && isset($_GET["file"])) {
+    if (strstr($_GET["file"], "..") != FALSE || strstr($_GET["file"], "contents/") == FALSE) {
+      echo "what the fuck?";
+    } else {
+      unlink($_GET["file"]);
+      $temp = new Usertemplate("index.tpl", 1);
+      $temp->clearCache();
+    }
+  } else if ($_GET["mode"] == "delete_entry" && isset($_GET["blogid"])) {
+    Entry::deleteEntry($_GET["blogid"]);
     $temp = new Usertemplate("index.tpl", 1);
     $temp->clearCache();
   }
-} else if ($_GET["mode"] == "delete_entry" && isset($_GET["blogid"])) {
-  Entry::deleteEntry($_GET["blogid"]);
-  $temp = new Usertemplate("index.tpl", 1);
-  $temp->clearCache();
-} else if ($_GET["mode"] == "export") {
+}
+
+function export_mode() {
   $filename = $blog_name . '-' . date("Ymd", time()) . '.dat';
   header("Content-Type: application/octet");
   header("Content-Disposition: filename=" . $filename);
   echo Export::export();
   flush();
   exit();
-} else if (strpos($_POST["mode"], "import") === 0) { // import
+}
+
+function import_mode() {
   if ($_POST["mode"] == "import") {
     if (isset($_FILES['file']['name'])) {
       Import::importSoojung($_FILES['file'], $_POST["version"]);
@@ -72,6 +64,43 @@
   header("Location: admin.php");
 }
 
+function clear_cache_mode() {
+  $temp = new Usertemplate("index.tpl", 1);
+  $temp->clearCache();
+}
+
+function clear_referer_mode() {
+  unlink("contents/.referer");
+}
+
+if ($_POST["mode"] == "login") {
+  if (md5($_POST["password"]) == $admin_password) {
+    $_SESSION['auth'] = TRUE;
+    header("Location: admin.php");
+  }
+}
+
+$template = new AdminTemplate;
+
+if (!isset($_SESSION["auth"])) {
+  $template->display('login.tpl');
+  exit();
+}
+
+if ($_POST["mode"] == "config_update") {
+  config_update_mode();
+} else if (strpos($_GET["mode"], "delete") === 0) {
+  delete_mode();
+} else if ($_GET["mode"] == "export") {
+  export_mode();
+} else if (strpos($_POST["mode"], "import") === 0) {
+  import_mode();
+} else if ($_GET["mode"] == "clear_cache") {
+  clear_cache_mode();
+} else if ($_GET["mode"] == "clear_referer") {
+  clear_referer_mode();
+}
+
 if ($_GET["mode"] == "config") {
   $template->assign("blog_name", $blog_name);
   $template->assign("blog_desc", $blog_desc);
@@ -82,13 +111,18 @@
   $template->assign("admin_name", $admin_name);
   $template->assign("admin_email", $admin_email);
   $template->assign("templates", Soojung::getTemplates());
-
   $template->display('config.tpl');
 } else if ($_GET["mode"] == "data") {
   $template->display('data.tpl');
-} else {
+} else if ($_GET["mode"] == "list") {
   $entry_structs = array();
   $template->assign('entries', Entry::getAllEntries(false));
   $template->display('list.tpl');
+} else {
+  $template->assign('recent_entries', Entry::getRecentEntries(5));
+  $template->assign('recent_comments', Comment::getRecentComments(5));
+  $template->assign('recent_trackbacks', Trackback::getRecentTrackbacks(5));
+  $template->assign('entry_count', Entry::getEntryCount());
+  $template->display('overview.tpl');
 }
-?>
+?>
\ No newline at end of file
diff -urN soojung-0.4.3/classes/Calendar.class.php soojung/classes/Calendar.class.php
--- soojung-0.4.3/classes/Calendar.class.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/classes/Calendar.class.php	2005-01-22 19:43:49.000000000 +0900
@@ -0,0 +1,121 @@
+<?php
+
+class Calendar {
+  var $year;
+  var $month;
+  var $day;
+
+  function Calendar($year, $month, $day) {
+    if (!$year && !$month)
+      list($year, $month) = $this->get_year_month();
+    $this->year = $year;
+    $this->month = $month;
+    $this->day = $day;
+  }
+
+  function get_year_month() {
+    return list($year, $month) = split(" ", date("Y m"));
+  }
+
+  function get_month_href($year, $month) {
+    global $blog_baseurl, $blog_fancyurl;
+
+    if ($month<1) {
+      --$year;
+      $month = 12;
+    } elseif ($month>12) {
+      ++$year;
+      $month = "01";
+    }
+    if (strlen($month)<=1)
+      $month = "0".$month;
+    if (strlen($year)<=1)
+      $year = "0".$year;
+
+    if ($blog_fancyurl)
+      return "$blog_baseurl/$year/$month";
+    else
+      return "$blog_baseurl/?archive=$year$month";
+  }
+
+  function get_month_alt($year, $month) {
+    if ($month<1) {
+      --$year;
+      $month = 12;
+    } elseif ($month>12) {
+      ++$year;
+      $month = 1;
+    }
+    return date("F Y", mktime(0, 0, 0, $month, 1, $year));
+  }
+
+
+  function get_calendar() {
+    global $blog_baseurl;
+    $year = $this->year;
+    $month = $this->month;
+
+    $num_days = date("t", mktime(0, 0, 0, $month, 1, $year));
+    $fDoWoM = date("w", mktime(0, 0, 0, $month, 1, $year));
+    $cal = "<div id=\"calendar\">
+      <a href=\"".$this->get_month_href($year,$month-1)."\" title=\"".$this->get_month_alt($year, $month-1)."\">«</a>
+      <a href=\"".$this->get_month_href($year,$month)."\">".$this->get_month_alt($year, $month)."</a>
+      <a href=\"".$this->get_month_href($year,$month+1)."\" title=\"".$this->get_month_alt($year, $month+1)."\">»</a>
+      <div class=\"calendar_days\">
+      <table cellpadding=0 cellspacing=0 width=\"95%\">
+      <tr>
+      <td align=\"right\" width=\"15.0%\">Sun</td>
+      <td align=\"right\" width=\"14.2%\">Mon</td>
+      <td align=\"right\" width=\"14.2%\">Tue</td>
+      <td align=\"right\" width=\"14.2%\">Wen</td>
+      <td align=\"right\" width=\"14.2%\">Thu</td>
+      <td align=\"right\" width=\"14.2%\">Fri</td>
+      <td align=\"right\" width=\"14.2%\">Sat</td>
+      </tr>
+      <tr>";
+    $nweeks = (int) (($num_days+$fDoWoM)/7)+1;
+    if ($num_days+$fDoWoM == 35)
+      --$nweeks;
+
+    $total = 0;
+    $today = 1;
+    $days = $this->get_bloged_days($year, $month);
+    $bloged_days = array_flip($days);
+
+    while ($total++<$nweeks*7) {
+      if ($total%7==1) {
+	$cal .= "<tr>\n";
+      }
+      if ($today<$num_days+1 && $total>$fDoWoM) {
+	if (in_array($today, $bloged_days)) {
+	  $e = new Entry($days[$today]);
+	  $cal .= "<td align=\"right\"><a href=\"" . $e->getHref() ."\">$today</a></td>";
+	} else {
+	  $cal .= "<td align=\"right\">$today</td>";
+	}
+	$today++;
+      } else {
+	$cal .= "<td>&nbsp;</td>";
+      }
+      if (!($total%7)) {
+	$cal .= "</tr>\n";
+      }
+    }
+    $cal .= "</div></table></div>\n";
+    return $cal;
+  }
+
+  function get_bloged_days($year, $month) {
+    $days = array();
+    $filenames = Soojung::queryFilenameMatch($year . $month . "[^.]+[.]entry$");
+    foreach($filenames as $filename) {
+      $key = sprintf("%d", substr($filename, 15, 2));
+      $day = $filename;
+      $days[$key] = $day;
+    }
+    $days = array_unique($days);
+
+    return $days;
+  }
+}
+?>
diff -urN soojung-0.4.3/classes/Soojung.class.php soojung/classes/Soojung.class.php
--- soojung-0.4.3/classes/Soojung.class.php	2005-01-08 11:37:37.000000000 +0900
+++ soojung/classes/Soojung.class.php	2005-02-05 00:21:17.000000000 +0900
@@ -21,6 +21,7 @@
 	$list[] = $path . $file;
       }
     }
+    closedir($dh);
     return $list;
   }
 
@@ -43,6 +44,7 @@
 	$number++;
       }
     }
+    closedir($dh);
     return $number;
   }
 
@@ -93,10 +95,15 @@
   function createNewEntryId() {
     clearstatcache();
     $fd = fopen("contents/.info", "r");
+    flock($fd, LOCK_SH);
     $i = trim(fread($fd, filesize("contents/.info")));
+    flock($fd, LOCK_UN);
     fclose($fd);
+    
     $fd = fopen("contents/.info", "w");
+    flock($fd, LOCK_EX);
     fwrite($fd, $i + 1);
+    flock($fd, LOCK_UN);
     fclose($fd);
     return $i;
   }
@@ -109,7 +116,7 @@
     $filenames = Soojung::queryFilenameMatch(".+", "templates/");
     foreach($filenames as $filename) {
       $filename = basename($filename);
-      if ($filename == "admin") {
+      if ($filename == "admin" or $filename == "CVS") {
 	continue;
       }
       if ($filename[0] != '.') {
@@ -154,6 +161,18 @@
   }
 
 
+  // referer spam check
+  function isSpam($text) {
+    $words = array("search", "blogspot", "naked", "nude", "boobs", "viagra",
+		   "poker", "password");
+    foreach ($words as $word) {
+      if (strpos($text, $word) !== FALSE) {
+	return true;
+      }
+    }
+    return false;
+  }
+
   function addReferer() {
     if (isset($_SERVER['HTTP_REFERER'])) {
       global $blog_baseurl;
@@ -163,16 +182,31 @@
 	return;
       }
 
+      if (strpos($referer, "http://") !== 0) {
+	return;
+      }
+      if (Soojung::isSpam($referer)) {
+	return;
+      }
+
       if ($fd = @fopen("contents/.referer", "r")) {
-	$data = @fread($fd, filesize("contents/.referer"));
-	fclose($fd);
-	$data = $referer . "\r\n" . $data;
+      	flock($fd, LOCK_SH);
+        $data = @fread($fd, filesize("contents/.referer"));
+        flock($fd, LOCK_UN);
+        fclose($fd);
+	$array = split("\r\n", $data);
+	array_unshift($array, $referer);
+	$array = array_unique($array);
+	$array = array_slice($array, 0, 100);
       } else {
-	$data = $referer;
+	$array = array();
+        $array[] = $referer;
       }
 
       if ($fd = @fopen("contents/.referer", "w")) {
-        fwrite($fd, $data);
+      	flock($fd, LOCK_EX);
+	fwrite($fd, implode($array, "\r\n"));
+        flock($fd, LOCK_UN);
         fclose($fd);
       }
     }
diff -urN soojung-0.4.3/classes/UserTemplate.class.php soojung/classes/UserTemplate.class.php
--- soojung-0.4.3/classes/UserTemplate.class.php	2005-01-14 21:18:13.000000000 +0900
+++ soojung/classes/UserTemplate.class.php	2005-01-22 19:43:49.000000000 +0900
@@ -18,7 +18,7 @@
 
     $this->compile_check = false;
     $this->caching=true;
-    $this->force_compile = false;
+    $this->force_compile = true; 
 
     if (!$this->is_cached($template, $cache_id)) {
       $this->assign('static_entries', Entry::getStaticEntries());
@@ -33,9 +33,19 @@
 
       $this->assign('bookmarks', Bookmark::getBookmarkList());
 
-      $this->assign('today_count', $today_count);
-      $this->assign('total_count', $total_count);
+      $year = 0;
+      $month = 0;
+      $day = 0;
+      if(isset($_GET["archive"])) {
+	$year = substr($_GET["archive"], 0, 4);
+	$month = substr($_GET["archive"], 4, 2);
+	$day = substr($_GET["archive"], 6);
+      }
+      $calendar = new Calendar($year, $month, $day);
+      $this->assign('calendar', $calendar);
     }
+    $this->assign('today_count', $today_count);
+    $this->assign('total_count', $total_count);
   }
 
   function clearCache() {
@@ -43,4 +53,4 @@
     $this->clear_all_cache();
   }
 }
-?>
+?>
\ No newline at end of file
diff -urN soojung-0.4.3/entry.php soojung/entry.php
--- soojung-0.4.3/entry.php	2005-01-14 21:18:13.000000000 +0900
+++ soojung/entry.php	2005-01-18 22:39:56.000000000 +0900
@@ -47,11 +47,11 @@
   $template->assign('entry', $entry);
   $template->assign('trackbacks', $entry->getTrackbacks());
   $template->assign('comments', $entry->getComments());
+}
 
-  foreach (array('w_id','w_name','w_email','w_url') as $key) {
-    if (isset($HTTP_COOKIE_VARS[$key])) {
-      $template->assign("$key", $HTTP_COOKIE_VARS[$key]);
-    }
+foreach (array('w_id','w_name','w_email','w_url') as $key) {
+  if (isset($HTTP_COOKIE_VARS[$key])) {
+    $template->assign("$key", $HTTP_COOKIE_VARS[$key]);
   }
 }
 
diff -urN soojung-0.4.3/sendping.php soojung/sendping.php
--- soojung-0.4.3/sendping.php	2004-12-19 12:52:16.000000000 +0900
+++ soojung/sendping.php	2005-02-04 23:53:37.000000000 +0900
@@ -45,7 +45,7 @@
 
 
 <?php
-$smarty = new UserTemplate;
+$smarty = new UserTemplate("sendping.tpl", $blogid);
 
 $smarty->assign('entry', $entry);
 $smarty->assign('trackbacks', $entry->getTrackbacks());
diff -urN soojung-0.4.3/settings.php soojung/settings.php
--- soojung-0.4.3/settings.php	2005-01-14 21:21:57.000000000 +0900
+++ soojung/settings.php	2005-02-04 14:27:06.000000000 +0900
@@ -1,6 +1,6 @@
 <?php
 
-$soojung_version = '0.4.3';
+$soojung_version = '0.4.4';
 setlocale(LC_TIME, "C");
 
 if (file_exists("config.php")) {
@@ -19,6 +19,7 @@
 include_once("classes/Export.class.php");
 include_once("classes/Import.class.php");
 include_once("classes/Bookmark.class.php");
+include_once("classes/Calendar.class.php");
 
 define('SMARTY_DIR', 'libs/smarty/');
 require(SMARTY_DIR . 'Smarty.class.php');
@@ -75,9 +76,11 @@
   $modified = false;
 
   if ($fd = @fopen("contents/.count", "r")) {
+  	flock($fd, LOCK_SH);
     $last_date = trim(fgets($fd,256));
     $today_count = trim(fgets($fd,256));
     $total_count = trim(fgets($fd,256));
+    flock($fd, LOCK_UN);
     fclose($fd);
   }
 
@@ -93,12 +96,14 @@
 
   if ($modified) {
     if ($fd = @fopen("contents/.count", "w")) {
+      flock($fd, LOCK_EX);
       fwrite($fd, $today);
       fwrite($fd, "\n");
       fwrite($fd, $today_count);
       fwrite($fd, "\n");
       fwrite($fd, $total_count);
       fwrite($fd, "\n");
+      flock($fd, LOCK_UN);
       fclose($fd);
     }
   }
diff -urN soojung-0.4.3/templates/acid/entry.tpl soojung/templates/acid/entry.tpl
--- soojung-0.4.3/templates/acid/entry.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/acid/entry.tpl	2005-02-03 07:43:37.000000000 +0900
@@ -0,0 +1,60 @@
+{include file="header.tpl"}
+
+<div class="entry">
+<h2>{$entry->title}</h2>
+{$entry->getBody()}
+<p class="posted">{$entry->date|date_format:"%B %d, %Y %I:%M %p"}</p>
+</div>
+
+{if $entry->isSetOption("NO_TRACKBACK") == false}
+<div class="trackbacks">
+<div class="trackback_url">TrackBack URL: {$baseurl}/trackback.php?blogid={$entry->entryId}</div>
+<a name="trackback"></a>
+{foreach from=$trackbacks item=trackback}
+	<div class="trackback">
+	<a name="{$trackback->date}"></a>
+	<a href="{$trackback->url}">{$trackback->url}</a><br />
+	{$trackback->title}<br />
+	{$trackback->getExcerpt()|strip_tags}
+	</div>
+{/foreach}
+</div>
+{/if}
+
+{if $entry->isSetOption("NO_COMMENT") == false}
+<div class="comments">
+{$entry->getCommentCount()} Comments<br />
+<a name="comment"></a>
+{foreach from=$comments item=comment}
+	<div class="comment">
+	<a name="{$comment->date}"></a>
+	On {$comment->date|date_format:"%B %d, %Y %I:%M %p"}, 
+	{if $comment->homepage != ""}
+		<a href="{$comment->homepage}">{$comment->name}</a>
+	{elseif $comment->email != ""}
+		<a href=mailto:"{$comment->email}">{$comment->name}</a>
+	{else}
+		{$comment->name}
+	{/if}
+	said: <br />
+	{$comment->getBody()}
+	</div>
+{/foreach}
+</div>
+
+<form action="" method="post">
+Post a comment<br />
+Name:<br />
+<input type="text" name="name" value="{$w_name}"><br />
+Email Adress:<br />
+<input type="text" name="email" value="{$w_email}"><br />
+URL:<br />
+<input type="text" name="url" value="{$w_url|default:"http://"}"><br />
+Comments:<br />
+<textarea name="body" rows="5" cols="40"></textarea><br />
+<input type="hidden" name="blogid" value="{$entry->entryId}">
+<input type="submit" value="Post">
+</form>
+{/if}
+
+{include file="footer.tpl"}
diff -urN soojung-0.4.3/templates/acid/footer.tpl soojung/templates/acid/footer.tpl
--- soojung-0.4.3/templates/acid/footer.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/acid/footer.tpl	2005-02-03 07:43:37.000000000 +0900
@@ -0,0 +1,11 @@
+</div>
+
+<div id="footer">
+<p>
+Copyleft 2004-2005 soojung devel team, all rights reserved.<br />
+Powered by <a href="http://soojung.kldp.net">soojung {$soojung_version}</a>
+</p>
+
+</div>
+</body>
+</html>
diff -urN soojung-0.4.3/templates/acid/header.tpl soojung/templates/acid/header.tpl
--- soojung-0.4.3/templates/acid/header.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/acid/header.tpl	2005-02-03 07:47:36.000000000 +0900
@@ -0,0 +1,144 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
+<html>
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
+<title>{$title}</title>
+<link rel="stylesheet" type="text/css" href="{$baseurl}/templates/{$skin}/styles.css" />
+<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="{$baseurl}/rss2.php" />
+<script type="text/javascript">/*<![CDATA[*/{literal}
+function fold_sidebar(objid) {
+document.getElementById(objid).className =
+(document.getElementById(objid).className ? '' : 'div_hide');
+return false;
+}
+{/literal}/*]]>*/</script>
+</head>
+<body>
+<div id="header"><a href="{$baseurl}" title="{$description}">{$title}</a></div>
+<div id="sidebar">
+<h3><a href="#none" onclick="return fold_sidebar('div_menu');">Menu</a></h3>
+<ul id="div_menu">
+	<li><a href="{$baseurl}/index.php">main</a></li>
+	<li><a href="{$baseurl}/admin.php">admin</a></li>
+	{foreach from=$static_entries item=static}
+	<li><a href="{$static->getHref()}">{$static->title}</a></li>
+	{/foreach}
+</ul>
+
+<h3><a href="#none" onclick="return fold_sidebar('div_calendar');">Calendar</a></h3>
+<ul id="div_calendar">
+	{$calendar->get_calendar()}
+</ul>
+
+<h3><a href="#none" onclick="return fold_sidebar('div_category');">Categories</a></h3>
+<ul id="div_category">
+	{foreach from=$categories item=category}
+	<li>
+		<a href="{$category->getHref()}">{$category->name}</a> 
+		({$category->getEntryCount()})
+	</li>
+	{foreachelse}
+	<li></li>
+	{/foreach}
+</ul>
+
+<h3><a href="#none" onclick="return fold_sidebar('div_archive');">Archives</a></h3>
+<ul id="div_archive" class="div_hide">
+	{foreach from=$archvies item=archive}
+	<li>
+		<a href="{$archive->getHref()}">{$archive->getDate()|date_format:"%B %Y"}</a>
+	</li>
+	{foreachelse}
+	<li></li>
+	{/foreach}
+</ul>
+
+<h3><a href="#none" onclick="return fold_sidebar('div_recent_entry');">Recent Entries</a></h3>
+<ul id="div_recent_entry" class="div_hide">
+	{foreach from=$recent_entries item=entry}
+	<li>
+		<a href="{$entry->getHref()}">{$entry->title}</a>
+	</li>
+	{foreachelse}
+	<li></li>
+	{/foreach}
+</ul>
+
+{if count($recent_comments) != 0}
+<h3><a href="#none" onclick="return fold_sidebar('div_recent_comment');">Recent Comments</a></h3>
+<ul id="div_recent_comment" class="div_hide">
+	{foreach from=$recent_comments item=comment}
+	<li>
+		<a href="{$comment->getHref()}">{$comment->getBody()|strip_tags:false}</a>
+	</li>
+	{/foreach}
+</ul>
+{/if}
+
+{if count($recent_trackbacks) != 0}
+<h3><a href="#none" onclick="return fold_sidebar('div_recent_trackback');">Recent TrackBacks</a></h3>
+<ul id="div_recent_trackback" class="div_hide">
+	{foreach from=$recent_trackbacks item=trackback}
+	<li>
+		<a href="{$trackback->getHref()}">{$trackback->url}</a>
+	</li>
+	{/foreach}
+</ul>
+{/if}
+
+{if count($recent_referers) != 0}
+<h3><a href="#none" onclick="return fold_sidebar('div_recent_referer');">Recent Referers</a></h3>
+<ul id="div_recent_referer" class="div_hide">
+	{foreach from=$recent_referers item=referer}
+	<li>
+		<a href="{$referer}">{$referer}</a>
+	</li>
+	{/foreach}
+</ul>
+{/if}
+
+{if count($bookmarks) != 0}
+<h3><a href="#none" onclick="return fold_sidebar('div_bookmark');">Bookmarks</a></h3>
+<ul id="div_bookmark" class="div_hide">
+	{foreach from=$bookmarks item=bookmark}
+	<li>
+		<a href="{$bookmark.url}">{$bookmark.desc}</a>
+	</li>
+	{foreachelse}
+	<li></li>
+	{/foreach}
+</ul>
+{/if}
+
+<h3>Search</h3>
+<form action="index.php" method="get">
+<p>
+<input type="text" name="search" title="input search text" size="16"/>
+<input type="submit" value="Search" />
+</p>
+</form>
+
+<p>
+Today : {$today_count}<br />
+Total : {$total_count}<br />
+</p>
+
+<div id="banners">
+<a href="{$baseurl}/rss2.php">
+<img src="{$baseurl}/templates/acid/imgs/rss20_logo.gif" alt="rss 2.0 feed" style="border:0px;"/>
+</a>
+
+<br />
+
+<a href="http://validator.w3.org/check?uri=referer">
+<img src="{$baseurl}/templates/acid/imgs/xhtml11.png" alt="Valid XHTML 1.0!" style="border:0px;"/>
+</a>
+
+<br />
+
+<a class="nodecoration" title="Explanation of Level A Conformance" href="http://www.w3.org/WAI/WCAG1A-Conformance">
+<img src="{$baseurl}/templates/acid/imgs/wai_a.png" alt="Level A conformance icon, W3C-WAI Web Content Accessibility Guidelines 1.0" style="border:0px;"/>
+</a>
+</div>
+</div>
+<div id="content">
Binary files soojung-0.4.3/templates/acid/imgs/rss20_logo.gif and soojung/templates/acid/imgs/rss20_logo.gif differ
Binary files soojung-0.4.3/templates/acid/imgs/wai_a.png and soojung/templates/acid/imgs/wai_a.png differ
Binary files soojung-0.4.3/templates/acid/imgs/xhtml11.png and soojung/templates/acid/imgs/xhtml11.png differ
diff -urN soojung-0.4.3/templates/acid/index.tpl soojung/templates/acid/index.tpl
--- soojung-0.4.3/templates/acid/index.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/acid/index.tpl	2005-02-03 07:43:37.000000000 +0900
@@ -0,0 +1,42 @@
+{include file="header.tpl"}
+
+{if $view == "index"}
+	{foreach from=$entries item=entry}
+		<div class="entry">
+		<h2><a href="{$entry->getHref()}">{$entry->title}</a></h2>
+		{$entry->getBody()}
+		<p class="posted">
+			<a class="plink" href="{$entry->getHref()}">{$entry->date|date_format:"%B %d, %Y"}</a>
+			{if $entry->isSetOption("NO_COMMENT") == false}| <a class="plink" href="{$entry->getHref()}#comment">Comments ({$entry->getCommentCount()})</a>{/if}
+			{if $entry->isSetOption("NO_TRACKBACK") == false}| <a class="plink" href="{$entry->getHref()}#trackback">TrackBacks ({$entry->getTrackbackCount()})</a>{/if}
+
+		</p>
+		</div>
+	{/foreach}
+	{if $prev_page_link != ""}
+		<a href="{$prev_page_link}">prev</a>
+	{/if}
+	{if $next_page_link != ""}
+		<a href="{$next_page_link}">next</a>
+	{/if}
+{elseif $view == "archive"}
+	{foreach from=$entries item=entry}
+		<a href="{$entry->getHref()}">{$entry->title}</a>
+		{$entry->date|date_format:"%B %d, %Y"}
+		<br />
+	{/foreach}
+{elseif $view == "category"}
+	{foreach from=$entries item=entry}
+		<a href="{$entry->getHref()}">{$entry->title}</a>
+		{$entry->date|date_format:"%B %d, %Y"}
+		<br />
+	{/foreach}
+{elseif $view == "search"}
+	{foreach from=$entries item=entry}
+		<a href="{$entry->getHref()}">{$entry->title}</a>
+		{$entry->date|date_format:"%B %d, %Y"}
+		<br />
+	{/foreach}
+{/if}
+
+{include file="footer.tpl"}
diff -urN soojung-0.4.3/templates/acid/sendping.tpl soojung/templates/acid/sendping.tpl
--- soojung-0.4.3/templates/acid/sendping.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/acid/sendping.tpl	2005-02-03 07:43:37.000000000 +0900
@@ -0,0 +1,27 @@
+{include file="header.tpl"}
+
+<div class="entry">
+<h2>{$entry->title}</h2>
+{$entry->getBody()}
+<p class="posted">{$entry->date|date_format:"%B %d, %Y"}</p>
+</div>
+
+<div class="trackbacks">
+
+<div class="trackback_url">TrackBack URL of this entry: {$baseurl}/trackback.php?blogid={$entry->entryId}</div>
+<a name="trackback"></a>
+</div>
+
+<div class="trackback_entry">
+     <form action="sendping.php" method="post">
+     Trackback URL to send trackback ping: <br /> 
+     <input type="text" name="trackback_url" value="http://"><br /><br />
+     
+     Remote Blog's encoding : <input type="text" name="encoding" value="UTF-8"><br />
+     <input type="hidden" name="mode" value="post">
+     <input type="hidden" name="blogid" value={$entry->entryId}>
+     <input type="submit" value="Send Ping"><br />
+</form>
+
+</div>
+{include file="footer.tpl"}
diff -urN soojung-0.4.3/templates/acid/styles.css soojung/templates/acid/styles.css
--- soojung-0.4.3/templates/acid/styles.css	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/acid/styles.css	2005-02-03 07:43:37.000000000 +0900
@@ -0,0 +1,205 @@
+body
+{
+  margin: 0 auto;
+  padding: 0 16px;
+  font-family: georgia, "굴림", serif;
+  text-align: left;
+  line-height: 1.5em;
+  color: #000;
+  background: #fff;
+  font-size: small;
+}
+
+#content
+{
+  float: left;
+  padding: 5px 20px;
+  width: 70%;
+}
+
+#content .entry
+{
+  padding-top: 12px;
+  border-bottom: 1px solid #ddd;
+}
+
+#content .comments
+{ 
+  padding-top: 12px;
+}
+
+#content .comment
+{
+  padding-bottom: 12px;
+}
+
+#content .trackbacks
+{
+  padding-top: 12px;
+}
+
+#content .trackback_url
+{
+  padding-top: 12px;
+  padding-bottom: 12px;
+}
+
+#content .trackback
+{ 
+  padding-bottom: 12px;
+}
+
+#content img
+{
+  border: solid 1px #999;
+  padding: 6px;
+}
+
+h2
+{
+  font-family: "lucida grande", verdana, sans-serif;
+  font-size: 105%;
+  color: #09c;
+  padding: 0;
+  margin: 0 0 1em 0;
+}
+
+a
+{
+  color: #09c;
+  text-decoration:none;
+}
+
+p.posted
+{
+  color: #999;
+  font-size: 90%;
+  margin: 0;
+  padding: 0 0 12px 0;
+  text-align: right;
+}
+
+a.plink
+{
+  color: #999;
+  text-decoration: none;
+}
+
+a:hover.plink
+{
+  color: #333;
+}
+
+pre
+{
+  padding: 5px;
+  border: 1px solid #EBD4C8;
+  background-color: #FCF7F4;
+}
+
+#sidebar
+{
+  float: left;
+  font-size: 90%;
+  line-height: 1.5em;
+  padding: 0;
+  color: #999;
+  width: 20%;
+  border: 1px solid #000;
+}
+
+#sidebar ul
+{
+  margin: 4px 0 20px 0;
+  padding-left: 10px;
+  list-style: none;
+}
+
+#sidebar li
+{
+  width: 100%;
+  white-space: nowrap;
+  overflow: hidden;
+  margin: 0 0 .5em 0;
+}
+
+#sidebar a:link
+{
+  color: #999;
+}
+
+#sidebar a:visited
+{
+  color: #999;
+}
+
+#sidebar a:hover
+{
+  color: #333;
+}
+
+#sidebar h3
+{
+  font-size: 14pt;
+  background: #eee;
+  color: #09c;
+  padding: 0.2em;
+  margin-top: 0;
+  margin-bottom: 0.5em;
+}
+
+#sidebar h3 a
+{
+  color: #09c;
+}
+
+#sidebar h3 a:hover
+{
+  color: #000;
+}
+
+#sidebar .div_hide
+{
+  display: none;
+}
+#footer
+{
+  position: relative;
+  clear: both;
+  margin: 0;
+  padding: 0;
+  font-size: 90%;
+  color: #666;
+}
+
+#footer p 
+{
+  color: #999;
+  margin: 0;
+  padding: 8px 20px;
+  text-align: center;
+}
+
+#header {
+  color: #09c;
+  font-size: 200%;
+  font-weight: bold;
+  margin: 10px 0;
+  padding: 20px 20px;
+  width: 70%;
+}
+
+#sidebar .calendar_days a {
+  color: #930;
+}
+
+#calendar {
+  text-align: center;
+}
+.calendar_days {
+  text-align: left;
+}
+
+#banners {
+  margin: 0.5em;
+}
\ No newline at end of file
diff -urN soojung-0.4.3/templates/admin/bookmark.tpl soojung/templates/admin/bookmark.tpl
--- soojung-0.4.3/templates/admin/bookmark.tpl	2004-09-25 23:01:39.000000000 +0900
+++ soojung/templates/admin/bookmark.tpl	2005-01-25 22:14:36.000000000 +0900
@@ -1,10 +1,7 @@
 {include file="header.tpl"}
 {include file="menu.tpl"}
 
-{foreach from=$bookmarks item=bookmark}
-	<a href="{$baseurl}/bookmark.php?mode=delete&amp;url={$bookmark.url}">delete</a> 
-	<a href="{$bookmark.url}">{$bookmark.desc}</a><br />
-{/foreach}
+<div id="bookmark">
 
 <form action="{$baseurl}/bookmark.php" method="post">
 	Url : 
@@ -16,7 +13,12 @@
 	<br />
 
 	<input type="submit" name="mode" value="post">
-{*	<input type="hidden" name="mode *}
 </form>
 
+{foreach from=$bookmarks item=bookmark}
+	<a href="{$baseurl}/bookmark.php?mode=delete&amp;url={$bookmark.url}">delete</a> 
+	<a href="{$bookmark.url}">{$bookmark.desc}</a><br />
+{/foreach}
+
+</div>
 {include file="footer.tpl"}
\ No newline at end of file
diff -urN soojung-0.4.3/templates/admin/config.tpl soojung/templates/admin/config.tpl
--- soojung-0.4.3/templates/admin/config.tpl	2005-01-05 19:49:03.000000000 +0900
+++ soojung/templates/admin/config.tpl	2005-02-05 14:11:55.000000000 +0900
@@ -1,60 +1,87 @@
 {include file="header.tpl"}
 {include file="menu.tpl"}
 
+<div id="config">
+
 <form action="{$baseurl}/admin.php" method="post">
-Blog Name:
-<input type="text" name="blogname" value="{$blog_name}">
-<br />
-
-Blog Description:
-<input type="text" name="desc" value="{$blog_desc}">
-<br />
-
-Blog URL:
-<input type="text" name="url" value="{$baseurl}">
-<br />
 
-Blog Skin:
+<div class="row">
+<span class="label">Blog Name:</span>
+<span class="formw"><input type="text" name="blogname" value="{$blog_name}"></span>
+</div>
+
+<div class="row">
+<span class="label">Blog Description:</span>
+<span class="formw"><input type="text" name="desc" value="{$blog_desc}"></span>
+</div>
+
+<div class="row">
+<span class="label">Blog URL:</span>
+<span class="formw"><input type="text" name="url" value="{$baseurl}"></span>
+</div>
+
+<div class="row">
+<span class="label">Blog Skin:</span>
+<span class="formw">
 <select name="skin">
 {foreach from=$templates item=template}
 <option value="{$template}" {if $blog_skin == $template}selected{/if}>{$template}
 {/foreach}
 </select>
-<br />
-<br />
-
-Admin Name: <input type="text" name="adminname" value="{$admin_name}">
-<br />
-
-Admin Email: <input type="text" name="email" value="{$admin_email}">
-<br />
-
-Admin Password: <input type="password" name="password"> If you want change the password, input new password.
-<br />
-<br />
-
-entries per page:
-<input type="text" name="perpage" value="{$blog_entries_per_page}">
-<br />
+</span>
+</div>
 
-fancy URL:
+<div class="row">
+<span class="label">Admin Name:</span>
+<span class="formw"><input type="text" name="adminname" value="{$admin_name}"></span>
+</div>
+
+<div class="row">
+<span class="label">Admin Email:</span>
+<span class="formw"><input type="text" name="email" value="{$admin_email}"></span>
+</div>
+
+<div class="row">
+<span class="label">Admin Password:</span>
+<span class="formw"><input type="password" name="password"> <i>If you want change the password, input new password.</i></span>
+</div>
+
+<div class="row">
+<span class="label">entries per page:</span>
+<span class="formw"><input type="text" name="perpage" value="{$blog_entries_per_page}"></span>
+</div>
+
+<div class="row">
+<span class="label">fancy URL:</span>
+<span class="formw">
 <input type="checkbox" name="fancyurl"
 {if $blog_fancyurl == true}
 	checked="on">
 {else}
 	>
 {/if}
-<br />
- notify email:
+</span>
+</div>
+
+<div class="row">
+<span class="label">notify email:</span>
+<span class="formw">
 <input type="checkbox" name="notify"
 {if $blog_notify == true}
 	checked="on">
 {else}
 	>
 {/if}
-<br />
+</span>
+</div>
+
 <input type="hidden" name="mode" value="config_update">
-<input type="submit" value="update">
+
+<div class="row">
+<span class="label"><input type="submit" value="update"></span>
+</div>
+
 </form>
 
+</div>
 {include file="footer.tpl"}
\ No newline at end of file
diff -urN soojung-0.4.3/templates/admin/data.tpl soojung/templates/admin/data.tpl
--- soojung-0.4.3/templates/admin/data.tpl	2004-12-24 23:31:00.000000000 +0900
+++ soojung/templates/admin/data.tpl	2005-01-25 22:14:36.000000000 +0900
@@ -1,5 +1,6 @@
 {include file="header.tpl"}
 {include file="menu.tpl"}
+<div id="data">
 
 <h2>Export</h2>
 <h3>export to soojung data file</h3>
@@ -20,7 +21,6 @@
 <input type="hidden" name="mode" value="import" />
 <input type="submit" value="import!" />
 </form>
-<br />
 
 <h3>import from wordpress</h3>
 <form action="{$baseurl}/admin.php" method="post">
@@ -61,4 +61,5 @@
 <input type="submit" value="import!" />
 </form>
 
+</div>
 {include file="footer.tpl"}
diff -urN soojung-0.4.3/templates/admin/header.tpl soojung/templates/admin/header.tpl
--- soojung-0.4.3/templates/admin/header.tpl	2005-01-05 22:29:14.000000000 +0900
+++ soojung/templates/admin/header.tpl	2005-01-25 22:14:36.000000000 +0900
@@ -5,6 +5,6 @@
 <link rel="stylesheet" type="text/css" href="{$baseurl}/templates/admin/styles.css"/>
 <script type="text/javascript" src="{$baseurl}/templates/admin/javascript.js"></script>
 <script type="text/javascript" src="{$baseurl}/libs/fckeditor/fckeditor.js"></script>
-<title>admin</title>
+<title>Admin</title>
 </head>
 <body>
\ No newline at end of file
diff -urN soojung-0.4.3/templates/admin/list.tpl soojung/templates/admin/list.tpl
--- soojung-0.4.3/templates/admin/list.tpl	2004-11-08 22:24:01.000000000 +0900
+++ soojung/templates/admin/list.tpl	2005-02-05 14:29:29.000000000 +0900
@@ -1,25 +1,36 @@
 {include file="header.tpl"}
 {include file="menu.tpl"}
 
+<div id="list">
+
+<span class="subject"><b>Subject</b></span>
+<span class="trackback_ping"><b>Trackback</b></span>
+<span class="delete"><b>Delete</b></span>
+
 {foreach from=$entries item=entry}
-	<a href="{$baseurl}/post.php?blogid={$entry->entryId}">edit</a>
-	<a href="{$baseurl}/admin.php?mode=delete_entry&blogid={$entry->entryId}" onclick="return confirm('Are you sure want to delete?');">delete</a>
-	{$entry->title}
-	<a href="{$baseurl}/sendping.php?blogid={$entry->entryId}">send trackback ping</a>
-	<br />
-	
+<div class="entry">
+	<span class="subject"><a href="{$baseurl}/post.php?blogid={$entry->entryId}">{$entry->title}</a></span>
+	<span class="trackback_ping"><a href="{$baseurl}/sendping.php?blogid={$entry->entryId}">Ping</a></span>
+	<span class="delete"><a href="{$baseurl}/admin.php?mode=delete_entry&blogid={$entry->entryId}" onclick="return confirm('Are you sure want to delete this entry?\nTitle: {$entry->title}');">X</a></span>
+</div>
+
 	{foreach from=$entry->getComments() item=comment}
-		&nbsp;&nbsp;&nbsp;&nbsp;<a href="{$baseurl}/admin.php?mode=delete&file={$comment->filename}" onclick="return confirm('Are you sure want to delete?');">delete</a>
-		{$comment->getBody()|strip_tags|substring:100} - {$comment->name}
-		<br />
+	<div class="comment">
+		<span class="subject">{$comment->getBody()|strip_tags|substring:70}</span>
+		<span class="trackback_ping">&nbsp;</span>
+		<span class="delete"><a href="{$baseurl}/admin.php?mode=delete&file={$comment->filename}" onclick="return confirm('Are you sure want to delete this comment?\nAuthor: {$comment->name}');">X</a></span>
+	</div>
 	{/foreach}
 
 	{foreach from=$entry->getTrackbacks() item=trackback}
-		&nbsp;&nbsp;&nbsp;&nbsp;<a href="{$baseurl}/admin.php?mode=delete&file={$trackback->filename}" onclick="return confirm('Are you sure want to delete?');">delete</a>
-		{$trackback->title}
-		<br />
+	<div class="trackback">
+		<span class="subject">{$trackback->url|strip_tags|substring:70}</span>
+		<span class="trackback_ping">&nbsp;</span>
+		<span class="delete"><a href="{$baseurl}/admin.php?mode=delete&file={$trackback->filename}" onclick="return confirm('Are you sure want to delete this trackback?\nURL: {$trackback->url}');">X</a></span>
+	</div>
 	{/foreach}
 
 {/foreach}
+</div>
 
 {include file="footer.tpl"}
diff -urN soojung-0.4.3/templates/admin/login.tpl soojung/templates/admin/login.tpl
--- soojung-0.4.3/templates/admin/login.tpl	2004-12-19 12:52:16.000000000 +0900
+++ soojung/templates/admin/login.tpl	2005-01-25 22:14:36.000000000 +0900
@@ -1,9 +1,16 @@
 {include file="header.tpl"}
 
-<form action="{$baseurl}/admin.php" method="post">
+<form name="loginForm" action="{$baseurl}/admin.php" method="post">
 Password: <input type="password" name="password">
 <input type="hidden" name="mode" value="login">
 <input type="submit" value="Log In">
 </form>
 
+<script type="text/javascript">
+<!--
+document.loginForm.password.focus();
+//-->
+</script>
+
+
 {include file="footer.tpl"}
\ No newline at end of file
diff -urN soojung-0.4.3/templates/admin/menu.tpl soojung/templates/admin/menu.tpl
--- soojung-0.4.3/templates/admin/menu.tpl	2004-12-24 12:05:57.000000000 +0900
+++ soojung/templates/admin/menu.tpl	2005-01-25 22:14:36.000000000 +0900
@@ -1,9 +1,35 @@
-<div class="menu">
-[ <a href="{$baseurl}/index.php">Home</a> ]
-[ <a href="{$baseurl}/post.php">Post</a> ]
-[ <a href="{$baseurl}/admin.php">List</a> ]
-[ <a href="{$baseurl}/admin.php?mode=config">Config</a> ]
-[ <a href="{$baseurl}/admin.php?mode=data">Import/export</a> ]
-[ <a href="{$baseurl}/bookmark.php">Bookmark</a> ]
-[ <a href="{$baseurl}/uninstall.php" onClick="return confirm('Are you sure uninstall soojung?')">UnInstall</a> ]
+<div id="menu">
+
+<div class="menu_item">
+<a href="{$baseurl}/index.php">Home</a>
+</div>
+
+<div class="menu_item">
+<a href="{$baseurl}/admin.php">Overview</a>
+</div>
+
+<div class="menu_item">
+<a href="{$baseurl}/post.php">Post</a>
+</div>
+
+<div class="menu_item">
+<a href="{$baseurl}/admin.php?mode=list">List</a>
+</div>
+
+<div class="menu_item">
+<a href="{$baseurl}/admin.php?mode=config">Config</a>
+</div>
+
+<div class="menu_item">
+<a href="{$baseurl}/admin.php?mode=data">Import/export</a>
+</div>
+
+<div class="menu_item">
+<a href="{$baseurl}/bookmark.php">Bookmark</a>
+</div>
+
+<div class="menu_item">
+<a href="{$baseurl}/uninstall.php" onClick="return confirm('Are you sure want to uninstall soojung?')">UnInstall</a>
+</div>
+
 </div>
\ No newline at end of file
diff -urN soojung-0.4.3/templates/admin/overview.tpl soojung/templates/admin/overview.tpl
--- soojung-0.4.3/templates/admin/overview.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/admin/overview.tpl	2005-02-05 14:29:29.000000000 +0900
@@ -0,0 +1,102 @@
+{include file="header.tpl"}
+{include file="menu.tpl"}
+
+<div id="overview">
+
+<div class="content_entry">
+<h2>Recent Posts</h2>
+<table>
+{foreach from=$recent_entries item=entry}
+<tr>
+<div class="entry_item">
+<td>
+<div class="entry_title">
+<a href="{$baseurl}/post.php?blogid={$entry->entryId}">{$entry->title}</a>
+</div>
+</td>
+<td>
+<a href="{$baseurl}/admin.php?mode=delete_entry&blogid={$entry->entryId}" onclick="return confirm('Are you sure want to delete this entry?\nTitle: {$entry->title}');">X</a>
+</td>
+<td>
+<a href="{$baseurl}/sendping.php?blogid={$entry->entryId}">Ping</a>
+</td>
+</div>
+</tr>
+{/foreach}
+</table>
+</div>
+
+<div class="content_comment">
+<h2>Recent Comments</h2>
+<table>
+	{foreach from=$recent_comments item=comment}
+	<tr>
+	<div class="comment_item">
+		<td>
+			{$comment->name}
+		</td>
+		<td>
+			<div class="entry_title">
+			<a href="{$comment->getHref()}">{$comment->getBody()|strip_tags:false|truncate:40}</a>
+			</div>
+		</td>
+		<td>
+			<a href="{$baseurl}/admin.php?mode=delete&file={$comment->filename}" onclick="return confirm('Are you sure want to delete this comment?\nAuthor: {$comment->name}');">X</a>
+		</td>
+	</div>
+	</tr>
+	{/foreach}
+</table>
+</div>
+
+<div class="content_trackback">
+<h2>Recent Trackback</h2>
+<table>
+	{foreach from=$recent_trackbacks item=trackback}
+	<tr>
+	<div class="trackback_item">
+		<td>
+			<div class="entry_title">
+			<a href="{$trackback->getHref()}">{$trackback->url}</a>
+			</div>
+		</td>
+		<td>
+			<a href="{$baseurl}/admin.php?mode=delete&file={$trackback->filename}" onclick="return confirm('Are you sure want to delete this trackback?\nURL: {$trackback->url}');">X</a>
+		</td>
+	</div>
+	</tr>
+	{/foreach}
+</table>
+</div>
+
+<div class="content_info">
+<h2>Blog Stat</h2>
+<table>
+	<tr>
+		<td>Entry Count:</td>
+		<td><b>{$entry_count}</b></td>
+	</tr>
+	<!--
+	<tr>
+		<td>Comment Count:</td>
+		<td><b>123</b></td>
+	</tr>
+	<tr>
+		<td>Trackback Count:</td>
+		<td><b>10</b></td>
+	</tr>
+	-->
+	<tr>
+		<td><a href="{$baseurl}/admin.php?mode=clear_cache">Clear cache</a></td>
+		<td></td>
+	</tr>
+	<tr>
+		<td><a href="{$baseurl}/admin.php?mode=clear_referer">Clear referer</a></td>
+		<td></td>
+	</tr>
+</table>
+</div>
+
+</div>
+
+{include file="footer.tpl"}
\ No newline at end of file
diff -urN soojung-0.4.3/templates/admin/post.tpl soojung/templates/admin/post.tpl
--- soojung-0.4.3/templates/admin/post.tpl	2004-12-27 20:50:33.000000000 +0900
+++ soojung/templates/admin/post.tpl	2005-01-25 22:14:36.000000000 +0900
@@ -9,69 +9,89 @@
 {$category}, {$date}
 <hr />
 {/if}
+
+<div id="post">
 <form action="{$baseurl}/post.php" method="post">
-	Title:
-	<input type="text" name="title" value="{$title}">
-	<br />
-
-	Date:
-	<input type="text" name="date" value="{$date}">
-	<br />
-
-	Category:
-	<input type="text" name="category_input" value="{$category}"> or 
-
-	{foreach name=categories from=$categories item=cate}
-		{if $smarty.foreach.categories.first}
-			<select name="category">
-		{/if}
-		<option value="{$cate->name}" {if $category == $cate->name}selected{/if}>{$cate->name}
-	{foreachelse}
-		<select name="category" disabled>
-	{/foreach}
-	</select>
-	<br />
-
-	Options:
-	<input type="checkbox" name="SECRET" {if $secret}checked{/if}>SECRET
-	<input type="checkbox" name="NO_COMMENT" {if $no_comment}checked{/if}>NO_COMMENT
-	<input type="checkbox" name="NO_TRACKBACK" {if $no_trackback}checked{/if}>NO_TRACKBACK
-	<input type="checkbox" name="STATIC" {if $static}checked{/if}>STATIC
-	<input type="checkbox" name="NO_RSS" {if $no_rss}checked{/if}>NO_RSS
-	<br />
-
-	Format:
-	<input type="radio" name="format" value="plain" {if $format == "plain" || $format == ""}checked{/if} onClick="go('{$baseurl}/post.php?blogid={$id}&format=plain')">plain
-	<input type="radio" name="format" value="html" {if $format == "html"}checked{/if} onClick="go('{$baseurl}/post.php?blogid={$id}&format=html')">html
-	<input type="radio" name="format" value="bbcode" {if $format == "bbcode"}checked{/if} onClick="go('{$baseurl}/post.php?blogid={$id}&format=bbcode')">bbcode
-	<br />
-	
-	Body: <br />
-	{if $format == "plain" || $format == "bbcode" || $format == ""}
-		<textarea name="body" rows="15" cols="80">{$body}</textarea>
-	{else}
-		<script type="text/javascript">
-			var oFCKeditor = new FCKeditor( 'body' ) ;
-			oFCKeditor.BasePath = "libs/fckeditor/";	
-
-			oFCKeditor.Value = '{$body|replace:"\r\n":"<br />"}';
-			oFCKeditor.Width = "80%";
-			oFCKeditor.Height = "300";
-			oFCKeditor.Create() ;
-
-		</script>
-	{/if}
-	<br />
-
-	Upload:	<a href="#" onClick="window.open('{$baseurl}/upload.php','blah','width=500,height=300')">Upload Files</a>
-	<br />
-
-	{if $id != null}
-	  <input type="hidden" name="id" value="{$id}">
-	{/if}
+<div class="row">
+<span class="label">Title:</span>
+<span class="formw"><input type="text" name="title" value="{$title}"></span>
+</div>
+
+<div class="row">
+<span class="label">Date:</span>
+<span class="formw"><input type="text" name="date" value="{$date}">
+</div>
+
+<div class="row">
+<span class="label">Category:</span>
+<span class="formw">
+<input type="text" name="category_input" value="{$category}"> or 
+{foreach name=categories from=$categories item=cate}
+{if $smarty.foreach.categories.first}
+<select name="category">
+{/if}
+	<option value="{$cate->name}" {if $category == $cate->name}selected{/if}>{$cate->name}
+{foreachelse}
+<select name="category" disabled>
+{/foreach}
+</select>
+</span>
+</div>
+
+<div class="row">
+<span class="label">Options:</span>
+<span class="formw">
+<input type="checkbox" name="SECRET" {if $secret}checked{/if}>SECRET
+<input type="checkbox" name="NO_COMMENT" {if $no_comment}checked{/if}>NO_COMMENT
+<input type="checkbox" name="NO_TRACKBACK" {if $no_trackback}checked{/if}>NO_TRACKBACK
+<input type="checkbox" name="STATIC" {if $static}checked{/if}>STATIC
+<input type="checkbox" name="NO_RSS" {if $no_rss}checked{/if}>NO_RSS
+</span>
+</div>
+
+<div class="row">
+<span class="label">Format:</span>
+<span class="formw">
+<input type="radio" name="format" value="plain" {if $format == "plain" || $format == ""}checked{/if} onClick="go('{$baseurl}/post.php?blogid={$id}&format=plain')">plain
+<input type="radio" name="format" value="html" {if $format == "html"}checked{/if} onClick="go('{$baseurl}/post.php?blogid={$id}&format=html')">html
+<input type="radio" name="format" value="bbcode" {if $format == "bbcode"}checked{/if} onClick="go('{$baseurl}/post.php?blogid={$id}&format=bbcode')">bbcode
+</span>
+</div>
+
+<div class="row">
+<span class="label">Body:</span>
+<span class="formw">
+<textarea id="body" name="body" rows="10" cols="65">{$body}</textarea>
+{if $format == "html"}
+<script type="text/javascript">
+	var oFCKeditor = new FCKeditor('body');
+	oFCKeditor.BasePath = "libs/fckeditor/";
+	oFCKeditor.Width = "80%";
+	oFCKeditor.Height = "300";
+	oFCKeditor.ReplaceTextarea();
+</script>
+{/if}
+</span>
+</div>
 
-	<input type="submit" name="mode" value="Preview">
-	<input type="submit" name="mode" value="Post">
-</form>
+<div class="row">
+<span class="label">Upload:</span>
+<span class="formw">
+<a href="#" onClick="window.open('{$baseurl}/upload.php','blah','width=500,height=300')">Upload Files</a>
+</span>
+</div>
 
+{if $id != null}
+<input type="hidden" name="id" value="{$id}">
+{/if}
+
+<div class="row">
+<span class="formw">
+<input type="submit" name="mode" value="Preview">
+<input type="submit" name="mode" value="Post">
+</span>
+</div>
+
+</form>
+</div>
 {include file="footer.tpl"}
\ No newline at end of file
diff -urN soojung-0.4.3/templates/admin/styles.css soojung/templates/admin/styles.css
--- soojung-0.4.3/templates/admin/styles.css	2004-09-11 21:18:00.000000000 +0900
+++ soojung/templates/admin/styles.css	2005-02-05 14:11:55.000000000 +0900
@@ -1,19 +1,166 @@
 body
 { 
   font-family: tahoma, sans-serif;
+  margin:10px 10px 0px 10px;
 }
 
-.menu
+a
 { 
-  margin: 10px;
+  color: #09c;
+  text-decoration:none;
 }
 
-.menu a
+/* tabless css */
+div.row
 {
-  color: #000;
+  clear: both;
+  padding-bottom: 10px;
 }
 
-a
+div.row span.label
+{
+  float: left;
+  width: 150px;
+  text-align: right;
+}
+
+div.row span.formw
+{
+  text-align: left;
+  padding-left: 15px;
+}
+
+#menu
+{
+  position:absolute;
+  top: 20px;
+  left:20px;
+  width:120px;
+  padding:10px;
+  background-color:#eee;
+  border:1px dashed #999;
+  line-height:17px;
+}
+
+#menu .menu_item:hover
+{
+  background-color: #4a5e7d;
+}
+
+#menu .menu_item:hover a
+{
+  color: #fff;
+}
+
+#list, #post, #config, #data, #bookmark, #overview
+{ 
+  margin:0px 0px 10px 170px;
+  padding:10px;
+}
+
+h2
+{ 
+  font-size: 14pt;
+  background: #eee;
+  color: #09c;
+  margin-top: 0;
+  margin-bottom: 0;
+  padding: 3px;
+}
+
+.entry_title
 { 
-  color: #930;
+  white-space:nowrap;
+  overflow:hidden;
+}
+
+.content_entry
+{
+  position:absolute;
+  margin: 0px 50% 10px 0px;
+  border:1px dashed #999;
+  background-color:white;
+  z-index: 3;
+
+  max-width: 300px;
+  min-width: 300px;
+}
+
+.content_comment
+{
+  position:absolute;
+  margin-left: 320px;
+  margin-right: 10px;
+  border:1px dashed #999;
+  background-color:white;
+}
+
+.content_trackback
+{
+  position:absolute;
+  top: 190px;
+  margin: 0px 50% 10px 0px;
+  border:1px dashed #999;
+  background-color:white;
+  z-index: 3;
+
+  max-width: 300px;
+  min-width: 300px;
+}
+
+.content_info
+{
+  position:absolute;
+  top: 190px;
+  margin-left: 320px;
+  margin-right: 10px;
+  border:1px dashed #999;
+  background-color:white;
+
+  height: 145px;
+  min-width: 300px;
+}
+
+/* post */
+#post div.row span.label
+{
+  width: 70px;
+}
+
+/* list */
+.entry
+{
+  padding-top: 25px;
+}
+
+.comment, .trackback
+{ 
+  padding-top: 20px;
+}
+
+.subject
+{
+  white-space:nowrap;
+  overflow:hidden;
+  position:absolute;
+  left: 200px;
+  width: 400px;
+}
+
+.comment .subject, .trackback .subject
+{ 
+  left: 220px;
+  width: 380px;
+}
+
+.trackback_ping
+{
+  position:absolute;
+  left: 610px;
+}
+
+.delete
+{
+  position:absolute;
+  left: 700px;
 }
\ No newline at end of file
diff -urN soojung-0.4.3/templates/simple/entry.tpl soojung/templates/simple/entry.tpl
--- soojung-0.4.3/templates/simple/entry.tpl	2005-01-14 21:31:26.000000000 +0900
+++ soojung/templates/simple/entry.tpl	2005-01-18 22:54:12.000000000 +0900
@@ -23,7 +23,7 @@
 
 {if $entry->isSetOption("NO_COMMENT") == false}
 <div class="comments">
-{$entry.comment_count} Comments<br />
+{$entry->getCommentCount()} Comments<br />
 <a name="comment"></a>
 {foreach from=$comments item=comment}
 	<div class="comment">
diff -urN soojung-0.4.3/templates/simple/footer.tpl soojung/templates/simple/footer.tpl
--- soojung-0.4.3/templates/simple/footer.tpl	2005-01-04 12:07:28.000000000 +0900
+++ soojung/templates/simple/footer.tpl	2005-01-25 22:14:36.000000000 +0900
@@ -3,90 +3,95 @@
 <div id="sidebar">
 <h3><a href="#none" onclick="return fold_sidebar('div_menu');">Menu</a></h3>
 <ul id="div_menu">
-<li><a href="{$baseurl}/index.php">main</a></li>
-<li><a href="{$baseurl}/admin.php">admin</a></li>
-{foreach from=$static_entries item=static}
+	<li><a href="{$baseurl}/index.php">main</a></li>
+	<li><a href="{$baseurl}/admin.php">admin</a></li>
+	{foreach from=$static_entries item=static}
 	<li><a href="{$static->getHref()}">{$static->title}</a></li>
-{/foreach}
+	{/foreach}
+</ul>
+
+<h3><a href="#none" onclick="return fold_sidebar('div_calendar');">Calendar</a></h3>
+<ul id="div_calendar">
+	{$calendar->get_calendar()}
 </ul>
 
 <h3><a href="#none" onclick="return fold_sidebar('div_category');">Categories</a></h3>
 <ul id="div_category">
-{foreach from=$categories item=category}
+	{foreach from=$categories item=category}
 	<li>
 		<a href="{$category->getHref()}">{$category->name}</a> 
 		({$category->getEntryCount()})
 	</li>
-{foreachelse}
+	{foreachelse}
 	<li></li>
-{/foreach}
+	{/foreach}
 </ul>
 
 <h3><a href="#none" onclick="return fold_sidebar('div_archive');">Archives</a></h3>
 <ul id="div_archive" class="div_hide">
-{foreach from=$archvies item=archive}
+	{foreach from=$archvies item=archive}
 	<li>
 		<a href="{$archive->getHref()}">{$archive->getDate()|date_format:"%B %Y"}</a>
 	</li>
-{foreachelse}
+	{foreachelse}
 	<li></li>
-{/foreach}
+	{/foreach}
 </ul>
 
 <h3><a href="#none" onclick="return fold_sidebar('div_recent_entry');">Recent Entries</a></h3>
 <ul id="div_recent_entry" class="div_hide">
-{foreach from=$recent_entries item=entry}
+	{foreach from=$recent_entries item=entry}
 	<li>
 		<a href="{$entry->getHref()}">{$entry->title}</a>
 	</li>
-{foreachelse}
+	{foreachelse}
 	<li></li>
-{/foreach}
+	{/foreach}
 </ul>
 
 {if count($recent_comments) != 0}
 <h3><a href="#none" onclick="return fold_sidebar('div_recent_comment');">Recent Comments</a></h3>
 <ul id="div_recent_comment" class="div_hide">
-{foreach from=$recent_comments item=comment}
+	{foreach from=$recent_comments item=comment}
 	<li>
 		<a href="{$comment->getHref()}">{$comment->getBody()|strip_tags:false}</a>
 	</li>
-{/foreach}
+	{/foreach}
 </ul>
 {/if}
 
 {if count($recent_trackbacks) != 0}
 <h3><a href="#none" onclick="return fold_sidebar('div_recent_trackback');">Recent TrackBacks</a></h3>
 <ul id="div_recent_trackback" class="div_hide">
-{foreach from=$recent_trackbacks item=trackback}
+	{foreach from=$recent_trackbacks item=trackback}
 	<li>
 		<a href="{$trackback->getHref()}">{$trackback->url}</a>
 	</li>
-{/foreach}
+	{/foreach}
 </ul>
 {/if}
 
 {if count($recent_referers) != 0}
 <h3><a href="#none" onclick="return fold_sidebar('div_recent_referer');">Recent Referers</a></h3>
 <ul id="div_recent_referer" class="div_hide">
-{foreach from=$recent_referers item=referer}
+	{foreach from=$recent_referers item=referer}
 	<li>
 		<a href="{$referer}">{$referer}</a>
 	</li>
-{/foreach}
+	{/foreach}
 </ul>
 {/if}
 
 {if count($bookmarks) != 0}
 <h3><a href="#none" onclick="return fold_sidebar('div_bookmark');">Bookmarks</a></h3>
 <ul id="div_bookmark" class="div_hide">
-{foreach from=$bookmarks item=bookmark}
+	{foreach from=$bookmarks item=bookmark}
 	<li>
 		<a href="{$bookmark.url}">{$bookmark.desc}</a>
 	</li>
-{foreachelse}
+	{foreachelse}
 	<li></li>
-{/foreach}
+	{/foreach}
 </ul>
 {/if}
 
diff -urN soojung-0.4.3/templates/simple/styles.css soojung/templates/simple/styles.css
--- soojung-0.4.3/templates/simple/styles.css	2005-01-05 22:29:14.000000000 +0900
+++ soojung/templates/simple/styles.css	2005-01-30 12:44:27.000000000 +0900
@@ -49,6 +49,12 @@
   padding-bottom: 12px;
 }
 
+#content img
+{
+  border: solid 1px #999;
+  padding: 6px;
+}
+
 h2
 {
   font-family: "lucida grande", verdana, sans-serif;
@@ -176,4 +182,8 @@
   padding: 20px 20px;
   width: 70%;
   border-bottom: 3px solid #ddd;  
-}
\ No newline at end of file
+}
+
+#sidebar .calendar_days a {
+  color: #930;
+}
